<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.video.mapper.DsVideoMapper">

    <resultMap type="com.ltgk.video.domain.entity.DsVideo" id="DsVideoMap">
        <result property="id" column="id"/>
        <result property="videoCode" column="video_code"/>
        <result property="videoName" column="video_name"/>
        <result property="longitude" column="longitude"/>
        <result property="latitude" column="latitude"/>
        <result property="height" column="height"/>
        <result property="visionDistance" column="vision_distance"/>
        <result property="videoIp" column="video_ip"/>
        <result property="videoPort" column="video_port"/>
        <result property="videoAccount" column="video_account"/>
        <result property="videoPassword" column="video_password"/>
        <result property="channelNo" column="channel_no"/>
        <result property="belongPort" column="belong_port"/>
        <result property="videoType" column="video_type"/>
        <result property="sensorType" column="sensor_type"/>
        <result property="belongUnit" column="belong_unit"/>
        <result property="runStatus" column="run_status"/>
        <result property="remarks" column="remarks"/>
        <result property="createAt" column="create_at"/>
        <result property="updateAt" column="update_at"/>
        <result property="createBy" column="create_by"/>
        <result property="updateBy" column="update_by"/>
        <result property="linePoint" column="line_point"/>
        <result property="videoUrl" column="video_url"/>
        <result property="isAnalysisBoat" column="is_analysis_boat"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="yVal" column="y_val"/>
        <result property="xVal" column="x_val"/>
        <result property="zMaxVal" column="z_max_val"/>
        <result property="zRcxVal" column="z_rcx_val"/>
        <result property="xRotateVal" column="x_rotate_val"/>
        <result property="zNumVal" column="z_num_val"/>
        <result property="rotateT" column="rotate_t"/>
        <result property="beBayonet" column="be_bayonet"/>
        <result property="beLock" column="be_lock"/>
        <result property="whetherToTurnOnTheView" column="whether_to_turn_on_the_view"/>
    </resultMap>
</mapper>

